net.sf.okapi.lib.xliff2.core

## Class InheritedData

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.InheritedData

- All Implemented Interfaces:
    IWithInheritedData
  Direct Known Subclasses:
    StartFileData, StartGroupData, Unit

      public class InheritedData
      extends java.lang.Object
      implements IWithInheritedData

  Implements the `IWithInheritedData` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InheritedData()` Creates a InheritedData object with default values.
    `InheritedData(InheritedData original)` Creates a new InheritedData object from an existing one.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotatorsRef` | `getAnnotatorsRef()` Gets the annotators-references for this object.
    `boolean` | `getCanResegment()` Indicates if this object can be re-segmented by default.
    `Directionality` | `getSourceDir()`
    `Directionality` | `getTargetDir()`
    `boolean` | `getTranslate()` Indicates if this object has translatable content by default.
    `void` | `setAnnotatorsRef(AnnotatorsRef annotators)` Sets the annotators-references for this object.
    `void` | `setCanResegment(boolean canResegment)` Sets the flag indicating if this object can be re-segmented by default.
    `void` | `setInheritableData(IWithInheritedData original)` Sets all the data from a given object.
    `void` | `setSourceDir(Directionality dir)`
    `void` | `setTargetDir(Directionality dir)`
    `void` | `setTranslate(boolean translate)` Sets the flag indicating if this object has translatable content by default.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InheritedData

          public InheritedData()

      Creates a InheritedData object with default values.

    - #### InheritedData

          public InheritedData(InheritedData original)

      Creates a new InheritedData object from an existing one.
      Parameters:
        `original` - the InheritedData object to get the data from.

  - ### Method Detail

    - #### setInheritableData

          public void setInheritableData(IWithInheritedData original)

      Sets all the data from a given object.
      Specified by:
        `setInheritableData` in interface `IWithInheritedData`
      Parameters:
        `original` - the object from which to get the data.

    - #### getCanResegment

          public boolean getCanResegment()

      Description copied from interface: `IWithInheritedData`
      Indicates if this object can be re-segmented by default.
      Specified by:
        `getCanResegment` in interface `IWithInheritedData`
      Returns:
        true if this object can be re-segmented by default, false otherwise.

    - #### setCanResegment

          public void setCanResegment(boolean canResegment)

      Description copied from interface: `IWithInheritedData`
      Sets the flag indicating if this object can be re-segmented by default.
      Specified by:
        `setCanResegment` in interface `IWithInheritedData`
      Parameters:
        `canResegment` - true if this object can be re-segmented by default, false otherwise.

    - #### getTranslate

          public boolean getTranslate()

      Description copied from interface: `IWithInheritedData`
      Indicates if this object has translatable content by default.
      Specified by:
        `getTranslate` in interface `IWithInheritedData`
      Returns:
        true if this object has translatable content by default, false otherwise.

    - #### setTranslate

          public void setTranslate(boolean translate)

      Description copied from interface: `IWithInheritedData`
      Sets the flag indicating if this object has translatable content by default.
      Specified by:
        `setTranslate` in interface `IWithInheritedData`
      Parameters:
        `translate` - true if this object has translatable content by default, false otherwise.

    - #### getSourceDir

          public Directionality getSourceDir()

      Specified by:
        `getSourceDir` in interface `IWithInheritedData`

    - #### setSourceDir

          public void setSourceDir(Directionality dir)

      Specified by:
        `setSourceDir` in interface `IWithInheritedData`

    - #### getTargetDir

          public Directionality getTargetDir()

      Specified by:
        `getTargetDir` in interface `IWithInheritedData`

    - #### setTargetDir

          public void setTargetDir(Directionality dir)

      Specified by:
        `setTargetDir` in interface `IWithInheritedData`

    - #### getAnnotatorsRef

          public AnnotatorsRef getAnnotatorsRef()

      Description copied from interface: `IWithInheritedData`
      Gets the annotators-references for this object.
      Specified by:
        `getAnnotatorsRef` in interface `IWithInheritedData`
      Returns:
        the annotators-references for this object (can be null)

    - #### setAnnotatorsRef

          public void setAnnotatorsRef(AnnotatorsRef annotators)

      Description copied from interface: `IWithInheritedData`
      Sets the annotators-references for this object.
      Specified by:
        `setAnnotatorsRef` in interface `IWithInheritedData`
      Parameters:
        `annotators` - the new annotators-references for this object (can be null).